Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2815453004: For building v8 using gn on aix_ppc64, linux_s390x and linux_ppc64. (Closed)

Created:
2 years, 2 months ago by rayb
Modified:
2 years, 1 month ago
CC:
chromium-reviews, cc-bugs_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

For building v8 using gn on aix_ppc64, linux_s390x and linux_ppc64(both LE and BE). Also add support for host_byteorder logic which is used in the following v8 and icu issues respectively - https://codereview.chromium.org/2809963004/ https://codereview.chromium.org/2812173002/ R=machenbach@chromium.org, dpranke@chromium.org, adamk@chromium.org BUG=706728 Review-Url: https://codereview.chromium.org/2815453004 Cr-Commit-Position: refs/heads/master@{#470463} Committed: https://chromium.googlesource.com/chromium/src/+/367a04209fcb6c3700daee65511945da7dd31f20

Patch Set 1 #

Total comments: 36

Patch Set 2 : rebased, addressed reviews, added host_byteorder.gni. #

Total comments: 6

Patch Set 3 : addressed reviews #

Total comments: 2

Patch Set 4 : clarified the need for host_byteorder.gni #

Total comments: 13

Patch Set 5 : addressed reviews #

Patch Set 6 : rebased #

Patch Set 7 : removed the is_power_or_z variable, the cpu checks are now done inline #

Patch Set 8 : removed the /build/config/features.gni changes #

Patch Set 9 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+226 lines, -28 lines) Patch
M build/config/BUILD.gn View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M build/config/BUILDCONFIG.gn View 1 2 3 4 5 6 6 chunks +24 lines, -6 lines 0 comments Download
A build/config/aix/BUILD.gn View 1 1 chunk +50 lines, -0 lines 0 comments Download
M build/config/compiler/BUILD.gn View 1 2 3 4 5 6 7 8 6 chunks +22 lines, -11 lines 0 comments Download
M build/config/gcc/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
A build/config/get_host_byteorder.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
A build/config/host_byteorder.gni View 1 2 3 1 chunk +27 lines, -0 lines 0 comments Download
M build/config/sysroot.gni View 2 3 4 5 6 1 chunk +3 lines, -2 lines 0 comments Download
M build/dotfile_settings.gni View 1 1 chunk +1 line, -0 lines 0 comments Download
A build/toolchain/aix/BUILD.gn View 1 1 chunk +21 lines, -0 lines 0 comments Download
M build/toolchain/gcc_ar_wrapper.py View 1 1 chunk +17 lines, -5 lines 0 comments Download
M build/toolchain/gcc_toolchain.gni View 1 2 3 4 5 6 7 8 2 chunks +16 lines, -2 lines 0 comments Download
M build/toolchain/linux/BUILD.gn View 1 chunk +32 lines, -0 lines 0 comments Download

Messages

Total messages: 75 (36 generated)
rayb
ptal
2 years, 2 months ago (2017-04-12 17:23:13 UTC) #8
Dirk Pranke
I'm strongly tempted to add is_aix, is_ppc, and is_s390 to BUILDCONFIG.gn so that there are ...
2 years, 2 months ago (2017-04-14 01:29:03 UTC) #10
Dirk Pranke
https://codereview.chromium.org/2815453004/diff/1/build/config/BUILDCONFIG.gn File build/config/BUILDCONFIG.gn (right): https://codereview.chromium.org/2815453004/diff/1/build/config/BUILDCONFIG.gn#newcode79 build/config/BUILDCONFIG.gn:79: host_byteorder = exec_script("//build/get_byteorder.py", [], "trim string") Maybe we should ...
2 years, 2 months ago (2017-04-14 01:32:39 UTC) #11
Michael Achenbach
Lg if non-nit comments addressed and Dirk agrees. Most of my comments are readability suggestions. ...
2 years, 2 months ago (2017-04-18 13:46:04 UTC) #12
Dirk Pranke
Also, I take back what I said about adding is_aix et al. Let's not do ...
2 years, 2 months ago (2017-04-18 20:31:31 UTC) #13
rayb
On 2017/04/18 20:31:31, Dirk Pranke wrote: > Also, I take back what I said about ...
2 years, 2 months ago (2017-04-18 20:55:38 UTC) #14
Dirk Pranke
On 2017/04/18 20:55:38, Ray Banerjee wrote: > On 2017/04/18 20:31:31, Dirk Pranke wrote: > > ...
2 years, 2 months ago (2017-04-18 21:44:53 UTC) #15
rayb
ptal. Also updated the other three related cls - https://codereview.chromium.org/2807463004/ https://codereview.chromium.org/2809963004/ https://codereview.chromium.org/2812173002/ https://codereview.chromium.org/2815453004/diff/1/build/build_config.h File build/build_config.h ...
2 years, 1 month ago (2017-04-25 00:41:04 UTC) #16
Dirk Pranke
lgtm. brettw, are you okay with the BUILDCONFIG changes? Seems like a reasonable compromise. https://codereview.chromium.org/2815453004/diff/20001/build/config/ui.gni ...
2 years, 1 month ago (2017-04-25 01:42:48 UTC) #17
Michael Achenbach
lgtm with comments future-nit: please always address reviews and do rebase in separate patchsets... eases ...
2 years, 1 month ago (2017-04-25 14:08:30 UTC) #18
rayb
ptal https://codereview.chromium.org/2815453004/diff/1/build/config/compiler/BUILD.gn File build/config/compiler/BUILD.gn (right): https://codereview.chromium.org/2815453004/diff/1/build/config/compiler/BUILD.gn#newcode180 build/config/compiler/BUILD.gn:180: if (current_os != "aix" && On 2017/04/25 14:08:30, ...
2 years, 1 month ago (2017-04-25 17:28:49 UTC) #19
Nico
https://codereview.chromium.org/2815453004/diff/40001/build/config/host_byteorder.gni File build/config/host_byteorder.gni (right): https://codereview.chromium.org/2815453004/diff/40001/build/config/host_byteorder.gni#newcode5 build/config/host_byteorder.gni:5: # This header file defines the "host_byteorder" variable. Please ...
2 years, 1 month ago (2017-04-25 22:42:31 UTC) #21
Michael Achenbach
lgtm - ack
2 years, 1 month ago (2017-04-26 10:38:48 UTC) #22
rayb
https://codereview.chromium.org/2815453004/diff/40001/build/config/host_byteorder.gni File build/config/host_byteorder.gni (right): https://codereview.chromium.org/2815453004/diff/40001/build/config/host_byteorder.gni#newcode5 build/config/host_byteorder.gni:5: # This header file defines the "host_byteorder" variable. On ...
2 years, 1 month ago (2017-04-26 15:49:04 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815453004/60001
2 years, 1 month ago (2017-04-26 17:52:45 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/421033)
2 years, 1 month ago (2017-04-26 18:07:20 UTC) #31
rayb
It seems I still need an lgtm from brettw(for BUILDCONFIG.gn) to get this through.
2 years, 1 month ago (2017-04-26 18:51:28 UTC) #32
brettw
https://codereview.chromium.org/2815453004/diff/60001/build/config/BUILDCONFIG.gn File build/config/BUILDCONFIG.gn (right): https://codereview.chromium.org/2815453004/diff/60001/build/config/BUILDCONFIG.gn#newcode75 build/config/BUILDCONFIG.gn:75: # Creating a helper variable vastly improves readability. I ...
2 years, 1 month ago (2017-04-26 20:07:42 UTC) #33
Dirk Pranke
https://codereview.chromium.org/2815453004/diff/60001/build/config/compiler/BUILD.gn File build/config/compiler/BUILD.gn (right): https://codereview.chromium.org/2815453004/diff/60001/build/config/compiler/BUILD.gn#newcode183 build/config/compiler/BUILD.gn:183: if (!is_power_or_z) { On 2017/04/26 20:07:42, brettw (plz ping ...
2 years, 1 month ago (2017-04-26 23:32:13 UTC) #34
rayb
ptal https://codereview.chromium.org/2815453004/diff/60001/build/config/BUILDCONFIG.gn File build/config/BUILDCONFIG.gn (right): https://codereview.chromium.org/2815453004/diff/60001/build/config/BUILDCONFIG.gn#newcode75 build/config/BUILDCONFIG.gn:75: # Creating a helper variable vastly improves readability. ...
2 years, 1 month ago (2017-04-27 19:29:45 UTC) #39
rayb
ptal. Re-based after addressing reviews.
2 years, 1 month ago (2017-04-27 20:45:47 UTC) #45
brettw
I'm trying really hard to keep the BUILDCONFIG file simple since these variables are implicitly ...
2 years, 1 month ago (2017-04-27 20:45:52 UTC) #46
rayb
On 2017/04/27 20:45:52, brettw (plz ping after 24h) wrote: > I'm trying really hard to ...
2 years, 1 month ago (2017-04-27 22:10:47 UTC) #49
brettw
On 2017/04/27 22:10:47, rayb wrote: > On 2017/04/27 20:45:52, brettw (plz ping after 24h) wrote: ...
2 years, 1 month ago (2017-04-27 23:13:51 UTC) #50
rayb
On 2017/04/27 23:13:51, brettw (plz ping after 24h) wrote: > On 2017/04/27 22:10:47, rayb wrote: ...
2 years, 1 month ago (2017-04-28 14:14:35 UTC) #51
brettw
The alternative is to make a flat in e.g. compiler.gni. That can't be used in ...
2 years, 1 month ago (2017-04-28 17:11:53 UTC) #52
rayb
On 2017/04/28 17:11:53, brettw (busy this week) wrote: > The alternative is to make a ...
2 years, 1 month ago (2017-04-29 01:14:02 UTC) #53
brettw
On 2017/04/29 01:14:02, rayb wrote: > On 2017/04/28 17:11:53, brettw (busy this week) wrote: > ...
2 years, 1 month ago (2017-04-30 06:40:03 UTC) #54
Dirk Pranke
I've lost track of this CL; are we waiting for changes in this CL, or ...
2 years, 1 month ago (2017-05-04 00:34:48 UTC) #55
rayb
On 2017/05/04 00:34:48, Dirk Pranke wrote: > I've lost track of this CL; are we ...
2 years, 1 month ago (2017-05-05 05:47:39 UTC) #56
rayb
ptal. On 2017/04/30 06:40:03, brettw (busy this week) wrote: > On 2017/04/29 01:14:02, rayb wrote: ...
2 years, 1 month ago (2017-05-08 05:01:09 UTC) #57
rayb
2 years, 1 month ago (2017-05-08 05:07:18 UTC) #58
rayb
ptal.
2 years, 1 month ago (2017-05-08 05:39:54 UTC) #59
Dirk Pranke
lgtm. @brettw, does this lgty?
2 years, 1 month ago (2017-05-08 19:21:44 UTC) #60
brettw
lgtm
2 years, 1 month ago (2017-05-09 23:04:45 UTC) #65
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815453004/180001
2 years, 1 month ago (2017-05-10 01:00:30 UTC) #68
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, build has not started yet; ...
2 years, 1 month ago (2017-05-10 03:05:02 UTC) #70
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815453004/180001
2 years, 1 month ago (2017-05-10 04:24:52 UTC) #72
commit-bot: I haz the power
2 years, 1 month ago (2017-05-10 04:56:22 UTC) #75
Message was sent while issue was closed.
Committed patchset #9 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/367a04209fcb6c3700daee655119...

Powered by Google App Engine
This is Rietveld 408576698